Bug 1438073

Summary: Step for adding Network to Host is incorrect
Product: Red Hat Gluster Storage Reporter: joherr
Component: DocumentationAssignee: Laura Bailey <lbailey>
Status: CLOSED CURRENTRELEASE QA Contact: RamaKasturi <knarra>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rhgs-3.2CC: asriram, knarra, lbailey, rhs-bugs, sankarshan, sasundar, storage-doc, storage-qa-internal
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-06-08 13:21:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1277939, 1451861    
Attachments:
Description Flags
Screenshot for adding network to host none

Description joherr 2017-03-31 19:47:17 UTC
Created attachment 1267980 [details]
Screenshot for adding network to host

Document URL: 
    https://doc-stage.usersys.redhat.com/documentation/en-us/red_hat_gluster_storage/3.2/html-single/deploying_red_hats_hyper-converged_infrastructure/

Its also in the article on access.redhat.com: https://access.redhat.com/articles/2922421#c-automatically-set-up-storage-and-install-hosted-engine-7

Section Number and Name: 
    Doc-Stage document: "8.2 Create the Logical Network for Gluster Traffic"

    Access Article: "E. Create network for gluster traffic"

Describe the issue: 
    In step 4C in Doc-Stage document and step 3 in Access Article, a "Manager Network" dialog is not there. Instead there is a window that allows you to drag the newly created network to a hosts interface.
Screenshot is attached.


Suggestions for improvement: 
    Drag the newly created network to the correct interface.
    Make sure the "Verify connectivity...." is checked.
    Make sure the "Save network configuration" is checked.
    Select OK

    Once the network is finished being added to the host, the host may need to be activated.


Additional information:

Comment 2 SATHEESARAN 2017-04-01 03:15:57 UTC
Laura,

We need to add more clarity on attaching gluster network.


<current_content>
Enable the new logical network for gluster
-------------------------------------------
Click the Networks tab and select the new logical network.
Click the Clusters sub-tab and then click Manage Network. The Manage Network dialogue appears.
In the Manage Network dialogue, check the Migration Network and Gluster Network checkboxes.
Click OK to save.

Attach the gluster network to the host
--------------------------------------
Click the Hosts tab and select the host.
Click the Network Interfaces subtab and then click Setup Host Networks.
Select Manage Network, select the gluster network.
Click OK to save.

</current_content>

<Modified_content>
Enable the new logical network for gluster
-------------------------------------------
Click the Networks tab and select the new logical network.
 - Provide the 'Name' for the logical network, uncheck 'VM Network'
 - Click on the 'cluster' tab on the 'New Logical Network' window, uncheck 'Required' to make this network not a required network on this cluster
Click the Clusters sub-tab and then click Manage Network. The Manage Network dialogue appears.
In the Manage Network dialogue, check the Migration Network and Gluster Network checkboxes.
Click OK to save.

Attach the gluster network to the host
--------------------------------------

Click the Hosts tab and select the host.
Click the Network Interfaces subtab and then click Setup Host Networks.
Drag the newly created network to the correct interface.
Make sure the "Verify connectivity...." is checked. ( checked by default )
Make sure the "Save network configuration" is checked. ( checked by default )
Select OK

Note: Make sure that gluster interface has ‘Network Name’ and ‘IPv4 Address’. If the network interface goes ‘out of sync’ or doesn’t have ‘IPv4 Address’, just select ‘Management’ tab corresponding to the host and click on ‘Refresh Capabilities’

</Modified_content>

Comment 7 RamaKasturi 2017-04-04 09:28:29 UTC
content in the doc link provided above looks good. Moving this to verified state.